## Name

debugnmg — Displays a list of all possible debug flags available for NMG processing.

## Synopsis

`debugnmg` [`hex_code`]

## DESCRIPTION

The debugnmg command with no options displays a list of all possible debug flags available for NMG processing. If the command is invoked with a hex number argument, that value is used as the new value for the NMG debug flag. Similar debug commands for other BRL-CAD libraries are debuglib for librt and debugbu for libbu. Other debugging commands include debugmem and debugdir.

## EXAMPLES

The example shows the use of the debugnmg with a hex code argument to set the NMG debug flag value.

Example 1. Using the hex code argument to set the NMG debug flag value.

`mged>` `debugnmg 100`

Sets the NMG debug flag to get details on the classification process.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.